#ifndef CMWFACTORYMOTORCONFIG_H
#define CMWFACTORYMOTORCONFIG_H

#include "cmwidget.h"
#include <QList>
#include <v_msg.h>
namespace Ui {
class CMWFactoryMotorConfig;
}

class CMWFactoryMotorConfig : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWFactoryMotorConfig(QWidget *parent = 0);
    ~CMWFactoryMotorConfig();

    void MInit();
    void MTimeFresh();
    void MFresh();
    QPixmap Icon_ON;
    QPixmap Icon_OFF;

    QList<V_MsgOutput> m_NagLimit;
    QList<V_MsgOutput> m_PasLimit;
private slots:
    void on_AxisEnableClick(int iMotoriD, bool bchecked);
private:
    Ui::CMWFactoryMotorConfig *ui;
};

#endif // CMWFACTORYMOTORCONFIG_H
